B2Copy

Create a B2Copy investment account

Creates a B2Copy investment account for a client by linking an existing trading platform account.

POST
/api/v2/b2copy/accounts/create

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/b2copy/accounts/create" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "clientId": 1,    "investmentPlatformId": 1,    "accountNumber": "111111",    "productCurrencyId": 1,    "isMaster": true  }'
{  "id": 1,  "is_master": true,  "status": false,  "account_name": "My Strategy",  "account_description": "A conservative trading strategy.",  "active_since": "2022-01-01T00:00:00+00:00",  "minimum_deposit": 0,  "type": 1,  "closed_positions_limit": 100,  "subscription_code": "ABC123",  "b2copy_id": 42,  "show_opened_positions": true,  "show_closed_positions": true,  "show_investor_opened_positions": true,  "show_investor_closed_positions": true,  "hide_time_positions": false,  "hide_investor_time_positions": false,  "options": {},  "created_at": "2022-01-01T00:00:00+00:00",  "updated_at": "2022-01-01T00:00:00+00:00"}
{  "error": {    "message": "Bad Request",    "code": 0,    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}